www.mxdraw.com
内容索引主面
前一个向上下一个
IMxDrawBlockTableRecord::AddPolyline 方法

向记录中增加一个多线段

IDL
[helpstring("method AddPolyline")]
HRESULT AddPolyline([in] IMxDrawPoints* points, [in] IMxDrawResbuf* sWdiths, [in] IMxDrawResbuf* eWidths, [in] IMxDrawResbuf* bulges, [out,retval] IMxDrawPolyline** ppNewObj);
参数 
说明 
[in] IMxDrawPoints* points 
多线段的端点数组 
[in] IMxDrawResbuf* sWdiths 
多线段端点的开始宽度数组 
[in] IMxDrawResbuf* eWidths 
多线段端点的结束宽度数组 
[in] IMxDrawResbuf* bulges 
多线段端点的凸度数组 

返回新增加的多线段

例如: C#代码.

            MxDrawDatabase database = (MxDrawDatabase)axMxDrawX1.GetDatabase();
            IMxDrawBlockTableRecord blkRec = database.CurrentSpace();

            MxDrawPoints P1 = new MxDrawPoints();

            MxDrawResbuf wdiths = new MxDrawResbuf();
            wdiths.AddDouble(2);
            wdiths.AddDouble(3);
            wdiths.AddDouble(4);


            MxDrawResbuf wdithe = new MxDrawResbuf();
            wdithe.AddDouble(2);
            wdithe.AddDouble(3);
            wdithe.AddDouble(4);



            MxDrawResbuf bulges = new MxDrawResbuf();
            bulges.AddDouble(2);
            bulges.AddDouble(3);
            bulges.AddDouble(4);
  

            P1.Add(0, 0, 0);

            P1.Add(100, 200, 0);

            P1.Add(300, 100, 0);
            blkRec.AddPolyline(P1, wdiths, wdithe, bulges);
Copyright (c) 2010. All rights reserved.
你认为该帮助怎么样? 发送反馈信息!